
#include "Point3D.h"


CPoint3D::CPoint3D()
{
	x = y = z = 0;
}


CPoint3D::~CPoint3D()
{

}

CPoint3D::CPoint3D(double c1, double c2, double c3)
{
    x = c1;      y = c2;      z = c3;
}



CPoint3D &CPoint3D::operator=(const CPoint3D& pt)
{
	x = pt.x;   z = pt.z;   y = pt.y;
    return *this;
}

void CPoint3D::Translate(double cx, double cy, double cz)
{
    x += cx;
    y += cy;
    z += cz;
}
